---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefineClasses.dylib'
relocations:
  - { offsetInCU: 0x65, offset: 0x65, size: 0x8, addend: 0x0, symName: __ZL10test_jvmti, symObjAddr: 0x39EE0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8CB2, offset: 0x8CB2, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x39EE8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x8CCB, offset: 0x8CCB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x39EF8, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0x8CD6, offset: 0x8CD6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x39EFC, symBinAddr: 0xC0BC, symSize: 0x0 }
  - { offsetInCU: 0x8CE1, offset: 0x8CE1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x39F00, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0x8D26, offset: 0x8D26, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x39F08, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0x8D9F, offset: 0x8D9F, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x39FC0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8DBD, offset: 0x8DBD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x39FC4, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0x8DD6, offset: 0x8DD6, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x39FC8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8DEF, offset: 0x8DEF, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x39FCC, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0x8E08, offset: 0x8E08, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x39FD0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8E21, offset: 0x8E21, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x39FD8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8EAA, offset: 0x8EAA, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x39FE8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8EC3, offset: 0x8EC3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x39FF0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8EDC, offset: 0x8EDC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x39FF8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x8EF5, offset: 0x8EF5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x3A000, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x8F0E, offset: 0x8F0E, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x3A008, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8F28, offset: 0x8F28, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x3A010, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FA1, offset: 0x8FA1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x4330, symSize: 0x30 }
  - { offsetInCU: 0x9273, offset: 0x9273, size: 0x8, addend: 0x0, symName: _Java_vm_runtime_defmeth_shared_Util_redefineClassIntl, symObjAddr: 0xE90, symBinAddr: 0x4360, symSize: 0x310 }
  - { offsetInCU: 0x9650, offset: 0x9650, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x11A0, symBinAddr: 0x4670, symSize: 0x110 }
  - { offsetInCU: 0x9746, offset: 0x9746, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x12B0, symBinAddr: 0x4780, symSize: 0x150 }
  - { offsetInCU: 0x986D, offset: 0x986D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1400, symBinAddr: 0x48D0, symSize: 0x160 }
  - { offsetInCU: 0x99E8, offset: 0x99E8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x1560, symBinAddr: 0x4A30, symSize: 0x1B0 }
  - { offsetInCU: 0x9BE3, offset: 0x9BE3, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1710, symBinAddr: 0x4BE0, symSize: 0x150 }
  - { offsetInCU: 0x9DA0, offset: 0x9DA0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x24F0, symBinAddr: 0x5930, symSize: 0xB0 }
  - { offsetInCU: 0x9DFB, offset: 0x9DFB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x2A10, symBinAddr: 0x59E0, symSize: 0x80 }
  - { offsetInCU: 0x9E5E, offset: 0x9E5E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x22D0, symBinAddr: 0x5710, symSize: 0x220 }
  - { offsetInCU: 0xA01C, offset: 0xA01C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x2050, symBinAddr: 0x5520, symSize: 0x150 }
  - { offsetInCU: 0xA254, offset: 0xA254, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1860, symBinAddr: 0x4D30, symSize: 0x200 }
  - { offsetInCU: 0xA474, offset: 0xA474, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1A60, symBinAddr: 0x4F30, symSize: 0x4A0 }
  - { offsetInCU: 0xA6D6, offset: 0xA6D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x1F00, symBinAddr: 0x53D0, symSize: 0x130 }
  - { offsetInCU: 0xA9CD, offset: 0xA9CD, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x2A90, symBinAddr: 0x5A60, symSize: 0xC0 }
  - { offsetInCU: 0xAA7C, offset: 0xAA7C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x2030, symBinAddr: 0x5500, symSize: 0x10 }
  - { offsetInCU: 0xAAE0, offset: 0xAAE0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x2040, symBinAddr: 0x5510, symSize: 0x10 }
  - { offsetInCU: 0xAB80, offset: 0xAB80, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x21A0, symBinAddr: 0x5670, symSize: 0xA0 }
  - { offsetInCU: 0xAC06, offset: 0xAC06, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x3040, symBinAddr: 0x5B20, symSize: 0xA0 }
  - { offsetInCU: 0xACD5, offset: 0xACD5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x33B0, symBinAddr: 0x5BC0, symSize: 0x20 }
  - { offsetInCU: 0xAD0C, offset: 0xAD0C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x33D0, symBinAddr: 0x5BE0, symSize: 0x20 }
  - { offsetInCU: 0xAD43, offset: 0xAD43, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x33F0, symBinAddr: 0x5C00, symSize: 0x20 }
  - { offsetInCU: 0xAEB2, offset: 0xAEB2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3B00, symBinAddr: 0x5C20, symSize: 0x1A0 }
  - { offsetInCU: 0xB1A7, offset: 0xB1A7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x4150, symBinAddr: 0x5DC0, symSize: 0x80 }
  - { offsetInCU: 0xB270, offset: 0xB270, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x41D0, symBinAddr: 0x5E40, symSize: 0x6A0 }
  - { offsetInCU: 0xBE05, offset: 0xBE05, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x6440, symBinAddr: 0x65F0, symSize: 0xB0 }
  - { offsetInCU: 0xBE7C, offset: 0xBE7C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4870, symBinAddr: 0x64E0, symSize: 0x70 }
  - { offsetInCU: 0xBF18, offset: 0xBF18, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5580, symBinAddr: 0x6550, symSize: 0xA0 }
  - { offsetInCU: 0xBFF7, offset: 0xBFF7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x64F0, symBinAddr: 0x66A0, symSize: 0x36A }
...
